Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface ServerRefConfigCR

All Known Subinterfaces:
  ClusterConfig, LBConfig

public interface ServerRefConfigCR

Supports creation and removal of server references.

Field Summary
`static java.lang.String` | `DISABLE_TIMEOUT_IN_MINUTES_KEY`
`static java.lang.String` | `ENABLED_KEY`
`static java.lang.String` | `LB_ENABLED_KEY`

Method Summary
`ServerRefConfig` | `createServerRefConfig(java.lang.String referencedServerName, java.util.Map optional)` Creates a new server-ref.
`ServerRefConfig` | `createServerRefConfig(java.lang.String referencedServerName, java.lang.String disableTimeoutInMinutes, boolean lbEnabled, boolean enabled)` Creates a new server-ref.
`void` | `removeServerRefConfig(java.lang.String name)`

Field Detail

### ENABLED_KEY

    public static final java.lang.String ENABLED_KEY

See Also:
  Constant Field Values

### LB_ENABLED_KEY

    public static final java.lang.String LB_ENABLED_KEY

See Also:
  Constant Field Values

### DISABLE_TIMEOUT_IN_MINUTES_KEY

    public static final java.lang.String DISABLE_TIMEOUT_IN_MINUTES_KEY

See Also:
  Constant Field Values

Method Detail

### createServerRefConfig

    public ServerRefConfig createServerRefConfig(java.lang.String referencedServerName,
                                                 java.util.Map optional)

  Creates a new server-ref.

  Parameters:
    `referencedServerName` - name of the server.
    `optional` - Map of optional attributes. Valid keys are defined here.
  Returns:
    A proxy to the ServerRefConfig MBean.

### createServerRefConfig

    public ServerRefConfig createServerRefConfig(java.lang.String referencedServerName,
                                                 java.lang.String disableTimeoutInMinutes,
                                                 boolean lbEnabled,
                                                 boolean enabled)

  Creates a new server-ref.

  Parameters:
    `referencedServerName` - name of the server.
    `disableTimeoutInMinutes` -
    `lbEnabled` -
    `enabled` -
  Returns:
    A proxy to the ServerRefConfig MBean.

### removeServerRefConfig

    public void removeServerRefConfig(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.